[responsive view] support the viewport meta tag
This would be great for developing on mobile sites. The code handling it on Android is here, but I don't know how much of that would work straight away on desktop.

